Groovy 1.7.0

## org.codehaus.groovy.ast.stmt
Class AssertStatement

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.stmt.Statement
              org.codehaus.groovy.ast.stmt.AssertStatement

    class AssertStatement
    extends Statement

Represents an assert statement such as `assert i != 0 : "should never be zero";`

author:
  James Strachan

version:
  $Revision: 6778 $

Constructor Summary
`AssertStatement(BooleanExpression booleanExpression)`
`AssertStatement(BooleanExpression booleanExpression, Expression messageExpression)`

Method Summary
`BooleanExpression` | `getBooleanExpression()`
`Expression` | `getMessageExpression()`
`void` | `setBooleanExpression(BooleanExpression booleanExpression)`
`void` | `setMessageExpression(Expression messageExpression)`
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class Statement
getStatementLabel, isEmpty, setStatementLabel

Methods inherited from class ASTNode
getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setSourcePosition, visit

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### AssertStatement

    public AssertStatement(BooleanExpression booleanExpression)

### AssertStatement

    public AssertStatement(BooleanExpression booleanExpression, Expression messageExpression)

Method Detail

### getBooleanExpression

    public BooleanExpression getBooleanExpression()

### getMessageExpression

    public Expression getMessageExpression()

### setBooleanExpression

    public void setBooleanExpression(BooleanExpression booleanExpression)

### setMessageExpression

    public void setMessageExpression(Expression messageExpression)

### visit

    public void visit(GroovyCodeVisitor visitor)

Copyright © 2003-2009 The Codehaus. All rights reserved.